MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028732Open CASCADE[OCCT] OCCT:Data Exchangepublic2017-05-12 10:072017-09-04 18:20
Reportersnn 
Assigned Tosnn 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] Unscheduled 
Target Version[OCCT] 7.2.0Fixed in Version 
Summary0028732: Integrate Annotations mechanism to XDE
Description  Notes is a kind of application specific data attached to assembly items / sub-items. Basically, there are simple textual comments, binary data and other application specific data. Each annotation is provided with a timestamp and the user created it.
  All annotations and their bindings with assembly items are stored under child label 0:1:9 of the XCAF document. This label contains XCAFDoc_NotesTool attribute that provides core annotation API.
  The notes tool manages notes and annotated items stored under two sub-labels: 0:1:9:1 for notes and 0:1:9:2 for links to assembly items. Each note is represented by a child label of the notes label 0:1:9:1 and contains an instance of attribute derived (in terms of C++) from XCAFDoc_Note. Base XCAFDoc_Note attribute stores a timestamp and the user created the note.
  Each annotated item is represented by a child label under the annotated items label 0:1:9:2 and contains an instance of XCAFDoc_AssemblyItemRef attribute.
Notes binding with assembly items is done through XCAFDoc_GraphNode attributes. In consequence of this a note can be associated with more than one item.
  XCAFDoc_AssemblyItemRef attribute may contain extra reference to an item's sub-shape or attribute.
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0069239)
git (administrator)
2017-08-09 13:25

Branch CR28732 has been created by snn.

SHA-1: c3910d938471532be2a7c6d02b55a17dc0cdccdb


Detailed log of new commits:

Author: snn
Date: Fri May 12 11:50:21 2017 +0300

    XCAF: stupid compilation bug fix

Author: snn
Date: Fri May 12 10:49:32 2017 +0300

    XCAF: comments for annotations

Author: snn
Date: Thu May 11 11:31:57 2017 +0300

    XCAF: remove subshape/attr note/all notes

Author: snn
Date: Tue Apr 18 17:09:14 2017 +0300

    refs 0000314: Get notes attached to sub-shapes/attributes of an assembly item

Author: snn
Date: Tue Apr 18 13:33:41 2017 +0300

    Notes attached to an assembly item sub-shape overwrite other assembly item notes

Author: snn
Date: Tue Feb 28 10:16:38 2017 +0300

    XCAF: assembly item ref extended to point on attributes and sub-shape indices

Author: snn
Date: Mon Feb 20 13:35:39 2017 +0300

    XCAF: assembly item ref driver added, file name typo correction

Author: snn
Date: Mon Feb 20 13:35:39 2017 +0300

    XCAF: assembly item ref driver added, file name typo correction

Author: snn
Date: Fri Feb 17 18:48:08 2017 +0300

    XCAF: bug fixes in notes tool

Author: snn
Date: Fri Feb 17 15:15:16 2017 +0300

    XCAF: assembly item/part id, notes for assembly items

Author: snn
Date: Wed Feb 15 14:09:53 2017 +0300

    XCAF: binary notes with array of bytes

Author: snn
Date: Tue Feb 14 17:32:19 2017 +0300

    XCAF: notes Bin/XML drivers
    
    # Conflicts:
    # src/XmlMXCAFDoc/XmlMXCAFDoc.hxx
    
    # Conflicts:
    # src/XmlMXCAFDoc/XmlMXCAFDoc.hxx

Author: snn
Date: Mon Feb 13 17:38:09 2017 +0300

    XCAF: comment and bin data note attributes added

Author: snn
Date: Fri Feb 10 15:48:36 2017 +0300

    XCAF: notes tool and note attributes added
(0070132)
abv (manager)
2017-08-31 21:36

Integrated with #28985
(0070186)
git (administrator)
2017-09-04 18:20

Branch CR28732 has been deleted by kgv.

SHA-1: c3910d938471532be2a7c6d02b55a17dc0cdccdb

- Related Changesets
occt: master 024d6f77
Timestamp: 2017-02-10 12:48:36
Author: snn
Committer: bugmaster
Details ] Diff ]
0028985: XCAF data structures for generic text annotations linked to GD&T annotations and saved views

1. A tool to annotate items in the hierarchical product structure was added. The tool is located under
   fixed label 0:1:9. It operates two basic entities: notes and annotations located under 0:1:9:1 and 0:1:9:2
   hives correspondingly. A note is an attribute derived from base class XCAFDoc_Note that is attached to a separate
   label under the notes hive. An annotated item is represented by XCAFDoc_AssemblyItemRef attribute
   attached to a separate label under the annotated items hive. Notes are linked to annotated items by means of
   XCAFDoc_GraphNode attribute, where notes play parent roles and annotated items - child roles.
2. XCAFDoc_AssemblyItemRef defines a weak reference to a label with optional attribute GUID or sub-shape index.
3. A capability to store note/annotation labels in XCAFDoc_ViewTool was added.
4. XDE User guide was updated
add - dox/user_guides/xde/images/xde_notes001.png Diff ] File ]
mod - dox/user_guides/xde/xde.md Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc.cxx Diff ] File ]
add - src/BinMXCAFDoc/BinMXCAFDoc_AssemblyItemRefDriver.cxx Diff ] File ]
add - src/BinMXCAFDoc/BinMXCAFDoc_AssemblyItemRefDriver.hxx Diff ] File ]
add - src/BinMXCAFDoc/BinMXCAFDoc_NoteBalloonDriver.cxx Diff ] File ]
add - src/BinMXCAFDoc/BinMXCAFDoc_NoteBalloonDriver.hxx Diff ] File ]
add - src/BinMXCAFDoc/BinMXCAFDoc_NoteBinDataDriver.cxx Diff ] File ]
add - src/BinMXCAFDoc/BinMXCAFDoc_NoteBinDataDriver.hxx Diff ] File ]
add - src/BinMXCAFDoc/BinMXCAFDoc_NoteCommentDriver.cxx Diff ] File ]
add - src/BinMXCAFDoc/BinMXCAFDoc_NoteCommentDriver.hxx Diff ] File ]
add - src/BinMXCAFDoc/BinMXCAFDoc_NoteDriver.cxx Diff ] File ]
add - src/BinMXCAFDoc/BinMXCAFDoc_NoteDriver.hxx Diff ] File ]
add - src/BinMXCAFDoc/BinMXCAFDoc_NotesToolDriver.cxx Diff ] File ]
add - src/BinMXCAFDoc/BinMXCAFDoc_NotesToolDriver.hxx Diff ] File ]
mod - src/BinMXCAFDoc/FILES Diff ] File ]
mod - src/XCAFDoc/FILES Diff ] File ]
mod - src/XCAFDoc/XCAFDoc.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc.hxx Diff ] File ]
add - src/XCAFDoc/XCAFDoc_AssemblyItemId.cxx Diff ] File ]
add - src/XCAFDoc/XCAFDoc_AssemblyItemId.hxx Diff ] File ]
add - src/XCAFDoc/XCAFDoc_AssemblyItemRef.cxx Diff ] File ]
add - src/XCAFDoc/XCAFDoc_AssemblyItemRef.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_DocumentTool.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_DocumentTool.hxx Diff ] File ]
add - src/XCAFDoc/XCAFDoc_Note.cxx Diff ] File ]
add - src/XCAFDoc/XCAFDoc_Note.hxx Diff ] File ]
add - src/XCAFDoc/XCAFDoc_NoteBalloon.cxx Diff ] File ]
add - src/XCAFDoc/XCAFDoc_NoteBalloon.hxx Diff ] File ]
add - src/XCAFDoc/XCAFDoc_NoteBinData.cxx Diff ] File ]
add - src/XCAFDoc/XCAFDoc_NoteBinData.hxx Diff ] File ]
add - src/XCAFDoc/XCAFDoc_NoteComment.cxx Diff ] File ]
add - src/XCAFDoc/XCAFDoc_NoteComment.hxx Diff ] File ]
add - src/XCAFDoc/XCAFDoc_NotesTool.cxx Diff ] File ]
add - src/XCAFDoc/XCAFDoc_NotesTool.hxx Diff ] File ]
add - src/XCAFDoc/XCAFDoc_PartId.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_ViewTool.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_ViewTool.hxx Diff ] File ]
mod - src/XDEDRAW/FILES Diff ] File ]
mod - src/XDEDRAW/XDEDRAW.cxx Diff ] File ]
add - src/XDEDRAW/XDEDRAW_Notes.cxx Diff ] File ]
add - src/XDEDRAW/XDEDRAW_Notes.hxx Diff ] File ]
mod - src/XmlMXCAFDoc/FILES Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc.cxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc.hxx Diff ] File ]
add - src/XmlMXCAFDoc/XmlMXCAFDoc_AssemblyItemRefDriver.cxx Diff ] File ]
add - src/XmlMXCAFDoc/XmlMXCAFDoc_AssemblyItemRefDriver.hxx Diff ] File ]
add - src/XmlMXCAFDoc/XmlMXCAFDoc_NoteBalloonDriver.cxx Diff ] File ]
add - src/XmlMXCAFDoc/XmlMXCAFDoc_NoteBalloonDriver.hxx Diff ] File ]
add - src/XmlMXCAFDoc/XmlMXCAFDoc_NoteBinDataDriver.cxx Diff ] File ]
add - src/XmlMXCAFDoc/XmlMXCAFDoc_NoteBinDataDriver.hxx Diff ] File ]
add - src/XmlMXCAFDoc/XmlMXCAFDoc_NoteCommentDriver.cxx Diff ] File ]
add - src/XmlMXCAFDoc/XmlMXCAFDoc_NoteCommentDriver.hxx Diff ] File ]
add - src/XmlMXCAFDoc/XmlMXCAFDoc_NoteDriver.cxx Diff ] File ]
add - src/XmlMXCAFDoc/XmlMXCAFDoc_NoteDriver.hxx Diff ] File ]
add - src/XmlMXCAFDoc/XmlMXCAFDoc_NotesToolDriver.cxx Diff ] File ]
add - src/XmlMXCAFDoc/XmlMXCAFDoc_NotesToolDriver.hxx Diff ] File ]
mod - tests/gdt/grids.list Diff ] File ]
add - tests/gdt/notes/A1 Diff ] File ]
add - tests/gdt/notes/A2 Diff ] File ]
add - tests/gdt/notes/A3 Diff ] File ]
add - tests/gdt/notes/A4 Diff ] File ]
add - tests/gdt/notes/A5 Diff ] File ]
add - tests/gdt/notes/B1 Diff ] File ]
add - tests/gdt/notes/B2 Diff ] File ]
add - tests/gdt/notes/B3 Diff ] File ]
add - tests/gdt/notes/B4 Diff ] File ]
add - tests/gdt/notes/B5 Diff ] File ]
add - tests/gdt/notes/B6 Diff ] File ]
add - tests/gdt/notes/B7 Diff ] File ]
add - tests/gdt/notes/begin Diff ] File ]
add - tests/gdt/notes/C1 Diff ] File ]
add - tests/gdt/notes/C2 Diff ] File ]
add - tests/gdt/notes/C3 Diff ] File ]
add - tests/gdt/notes/C4 Diff ] File ]
add - tests/gdt/notes/C5 Diff ] File ]
add - tests/gdt/notes/C6 Diff ] File ]
add - tests/gdt/notes/C7 Diff ] File ]
add - tests/gdt/notes/C8 Diff ] File ]
add - tests/gdt/notes/C9 Diff ] File ]
add - tests/gdt/notes/D1 Diff ] File ]
add - tests/gdt/notes/end Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-05-12 10:07 snn New Issue
2017-05-12 10:07 snn Assigned To => gka
2017-05-12 10:08 snn Assigned To gka =>
2017-07-27 11:15 abv Target Version 7.2.0 => 7.3.0*
2017-08-09 13:25 git Note Added: 0069239
2017-08-14 16:23 san Relationship added related to 0028985
2017-08-14 17:25 abv Assigned To => snn
2017-08-14 17:25 abv Status new => assigned
2017-08-14 17:25 abv Target Version 7.3.0* => 7.2.0
2017-08-31 21:36 abv Note Added: 0070132
2017-08-31 21:36 abv Status assigned => verified
2017-08-31 21:36 abv Resolution open => fixed
2017-08-31 21:37 abv Changeset attached => occt master 024d6f77
2017-09-04 18:20 git Note Added: 0070186


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker